Plutonium framework API 0.3.0 UI framework libraries for libnx

Public Member Functions | List of all members
pu::ui::elm::Rectangle Class Reference

`#include <elm_Rectangle.hpp>`

Inheritance diagram for pu::ui::elm::Rectangle:

## Public Member Functions
| Rectangle (const i32 x, const i32 y, const i32 width, const i32 height, const Color clr, const i32 border_radius=0)
i32 | GetX () override
void | SetX (const i32 x)
i32 | GetY () override
void | SetY (const i32 y)
i32 | GetWidth () override
void | SetWidth (const i32 width)
i32 | GetHeight () override
void | SetHeight (const i32 height)
i32 | GetBorderRadius ()
void | SetBorderRadius (const i32 border_radius)
Color | GetColor ()
void | SetColor (const Color clr)
void | OnRender (render::Renderer::Ref &drawer, const i32 x, const i32 y) override
void | OnInput (const u64 keys_down, const u64 keys_up, const u64 keys_held, const TouchPoint touch_pos) override
Public Member Functions inherited from pu::ui::elm::Element
| Element ()
virtual | ~Element ()
virtual i32 | GetX ()=0
virtual i32 | GetY ()=0
virtual i32 | GetWidth ()=0
virtual i32 | GetHeight ()=0
virtual void | OnRender (render::Renderer::Ref &drawer, const i32 x, const i32 y)=0
virtual void | OnInput (const u64 keys_down, const u64 keys_up, const u64 keys_held, const TouchPoint touch_pos)=0
bool | IsVisible ()
void | SetVisible (const bool visible)
void | SetHorizontalAlign (const HorizontalAlign align)
HorizontalAlign | GetHorizontalAlign ()
void | SetVerticalAlign (const VerticalAlign align)
VerticalAlign | GetVerticalAlign ()
void | SetParentContainer (Container *parent_container)
i32 | GetProcessedX ()
i32 | GetProcessedY ()

## Additional Inherited Members
Protected Attributes inherited from pu::ui::elm::Element
bool | visible
HorizontalAlign | h_align
VerticalAlign | v_align
Container * | parent_container

## Constructor & Destructor Documentation

## ◆ Rectangle()

pu::ui::elm::Rectangle::Rectangle | ( | const i32 | x,
|  | const i32 | y,
|  | const i32 | width,
|  | const i32 | height,
|  | const Color | clr,
|  | const i32 | border_radius = `0`
| ) |  |
| inline

## Member Function Documentation

## ◆ GetBorderRadius()

i32 pu::ui::elm::Rectangle::GetBorderRadius | ( |  | ) |
| inline

## ◆ GetColor()

Color pu::ui::elm::Rectangle::GetColor | ( |  | ) |
| inline

## ◆ GetHeight()

i32 pu::ui::elm::Rectangle::GetHeight | ( |  | ) |
| inline override virtual

Implements pu::ui::elm::Element.

## ◆ GetWidth()

i32 pu::ui::elm::Rectangle::GetWidth | ( |  | ) |
| inline override virtual

Implements pu::ui::elm::Element.

## ◆ GetX()

i32 pu::ui::elm::Rectangle::GetX | ( |  | ) |
| inline override virtual

Implements pu::ui::elm::Element.

## ◆ GetY()

i32 pu::ui::elm::Rectangle::GetY | ( |  | ) |
| inline override virtual

Implements pu::ui::elm::Element.

## ◆ OnInput()

void pu::ui::elm::Rectangle::OnInput | ( | const u64 | keys_down,
|  | const u64 | keys_up,
|  | const u64 | keys_held,
|  | const TouchPoint | touch_pos
| ) |  |
| inline override virtual

Implements pu::ui::elm::Element.

## ◆ OnRender()

void pu::ui::elm::Rectangle::OnRender | ( | render::Renderer::Ref & | drawer,
|  | const i32 | x,
|  | const i32 | y
| ) |  |
| override virtual

Implements pu::ui::elm::Element.

## ◆ SetBorderRadius()

void pu::ui::elm::Rectangle::SetBorderRadius | ( | const i32 | border_radius | ) |
| inline

## ◆ SetColor()

void pu::ui::elm::Rectangle::SetColor | ( | const Color | clr | ) |
| inline

## ◆ SetHeight()

void pu::ui::elm::Rectangle::SetHeight | ( | const i32 | height | ) |
| inline

## ◆ SetWidth()

void pu::ui::elm::Rectangle::SetWidth | ( | const i32 | width | ) |
| inline

## ◆ SetX()

void pu::ui::elm::Rectangle::SetX | ( | const i32 | x | ) |
| inline

## ◆ SetY()

void pu::ui::elm::Rectangle::SetY | ( | const i32 | y | ) |
| inline

The documentation for this class was generated from the following file:

- Plutonium/include/pu/ui/elm/elm_Rectangle.hpp